Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.networks.getSmUsers({
emails: ["string"],
ids: ["string"],
networkId: "string",
scopes: ["string"],
usernames: ["string"],
});
export const merakiNetworksSmUsersExample = example.then(example => example.items);
import pulumi
import pulumi_meraki as meraki
example = meraki.networks.get_sm_users(emails=["string"],
ids=["string"],
network_id="string",
scopes=["string"],
usernames=["string"])
pulumi.export("merakiNetworksSmUsersExample", example.items)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/networks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := networks.GetSmUsers(ctx, &networks.GetSmUsersArgs{
Emails: []string{
"string",
},
Ids: []string{
"string",
},
NetworkId: "string",
Scopes: []string{
"string",
},
Usernames: []string{
"string",
},
}, nil)
if err != nil {
return err
}
ctx.Export("merakiNetworksSmUsersExample", example.Items)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Networks.GetSmUsers.Invoke(new()
{
Emails = new[]
{
"string",
},
Ids = new[]
{
"string",
},
NetworkId = "string",
Scopes = new[]
{
"string",
},
Usernames = new[]
{
"string",
},
});
return new Dictionary<string, object?>
{
["merakiNetworksSmUsersExample"] = example.Apply(getSmUsersResult => getSmUsersResult.Items),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.networks.NetworksFunctions;
import com.pulumi.meraki.networks.inputs.GetSmUsersArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = NetworksFunctions.getSmUsers(GetSmUsersArgs.builder()
.emails("string")
.ids("string")
.networkId("string")
.scopes("string")
.usernames("string")
.build());
ctx.export("merakiNetworksSmUsersExample", example.items());
}
}
variables:
example:
fn::invoke:
function: meraki:networks:getSmUsers
arguments:
emails:
- string
ids:
- string
networkId: string
scopes:
- string
usernames:
- string
outputs:
merakiNetworksSmUsersExample: ${example.items}
Using getSmUsers
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getSmUsers(args: GetSmUsersArgs, opts?: InvokeOptions): Promise<GetSmUsersResult>
function getSmUsersOutput(args: GetSmUsersOutputArgs, opts?: InvokeOptions): Output<GetSmUsersResult>def get_sm_users(emails: Optional[Sequence[str]] = None,
ids: Optional[Sequence[str]] = None,
network_id: Optional[str] = None,
scopes: Optional[Sequence[str]] = None,
usernames: Optional[Sequence[str]] = None,
opts: Optional[InvokeOptions] = None) -> GetSmUsersResult
def get_sm_users_output(emails: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
ids: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
network_id: Optional[pulumi.Input[str]] = None,
scopes: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
usernames: Optional[pulumi.Input[Sequence[pulumi.Input[str]]]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetSmUsersResult]func GetSmUsers(ctx *Context, args *GetSmUsersArgs, opts ...InvokeOption) (*GetSmUsersResult, error)
func GetSmUsersOutput(ctx *Context, args *GetSmUsersOutputArgs, opts ...InvokeOption) GetSmUsersResultOutput> Note: This function is named GetSmUsers in the Go SDK.
public static class GetSmUsers
{
public static Task<GetSmUsersResult> InvokeAsync(GetSmUsersArgs args, InvokeOptions? opts = null)
public static Output<GetSmUsersResult> Invoke(GetSmUsersInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetSmUsersResult> getSmUsers(GetSmUsersArgs args, InvokeOptions options)
public static Output<GetSmUsersResult> getSmUsers(GetSmUsersArgs args, InvokeOptions options)
fn::invoke:
function: meraki:networks/getSmUsers:getSmUsers
arguments:
# arguments dictionaryThe following arguments are supported:
- Network
Id string - networkId path parameter. Network ID
- Emails List<string>
- emails query parameter. Filter users by email(s).
- Ids List<string>
- ids query parameter. Filter users by id(s).
- Scopes List<string>
- scope query parameter. Specifiy a scope (one of all, none, withAny, withAll, withoutAny, withoutAll) and a set of tags.
- Usernames List<string>
- usernames query parameter. Filter users by username(s).
- Network
Id string - networkId path parameter. Network ID
- Emails []string
- emails query parameter. Filter users by email(s).
- Ids []string
- ids query parameter. Filter users by id(s).
- Scopes []string
- scope query parameter. Specifiy a scope (one of all, none, withAny, withAll, withoutAny, withoutAll) and a set of tags.
- Usernames []string
- usernames query parameter. Filter users by username(s).
- network
Id String - networkId path parameter. Network ID
- emails List<String>
- emails query parameter. Filter users by email(s).
- ids List<String>
- ids query parameter. Filter users by id(s).
- scopes List<String>
- scope query parameter. Specifiy a scope (one of all, none, withAny, withAll, withoutAny, withoutAll) and a set of tags.
- usernames List<String>
- usernames query parameter. Filter users by username(s).
- network
Id string - networkId path parameter. Network ID
- emails string[]
- emails query parameter. Filter users by email(s).
- ids string[]
- ids query parameter. Filter users by id(s).
- scopes string[]
- scope query parameter. Specifiy a scope (one of all, none, withAny, withAll, withoutAny, withoutAll) and a set of tags.
- usernames string[]
- usernames query parameter. Filter users by username(s).
- network_
id str - networkId path parameter. Network ID
- emails Sequence[str]
- emails query parameter. Filter users by email(s).
- ids Sequence[str]
- ids query parameter. Filter users by id(s).
- scopes Sequence[str]
- scope query parameter. Specifiy a scope (one of all, none, withAny, withAll, withoutAny, withoutAll) and a set of tags.
- usernames Sequence[str]
- usernames query parameter. Filter users by username(s).
- network
Id String - networkId path parameter. Network ID
- emails List<String>
- emails query parameter. Filter users by email(s).
- ids List<String>
- ids query parameter. Filter users by id(s).
- scopes List<String>
- scope query parameter. Specifiy a scope (one of all, none, withAny, withAll, withoutAny, withoutAll) and a set of tags.
- usernames List<String>
- usernames query parameter. Filter users by username(s).
getSmUsers Result
The following output properties are available:
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
List<Get
Sm Users Item> - Array of ResponseSmGetNetworkSmUsers
- Network
Id string - networkId path parameter. Network ID
- Emails List<string>
- emails query parameter. Filter users by email(s).
- Ids List<string>
- ids query parameter. Filter users by id(s).
- Scopes List<string>
- scope query parameter. Specifiy a scope (one of all, none, withAny, withAll, withoutAny, withoutAll) and a set of tags.
- Usernames List<string>
- usernames query parameter. Filter users by username(s).
- Id string
- The provider-assigned unique ID for this managed resource.
- Items
[]Get
Sm Users Item - Array of ResponseSmGetNetworkSmUsers
- Network
Id string - networkId path parameter. Network ID
- Emails []string
- emails query parameter. Filter users by email(s).
- Ids []string
- ids query parameter. Filter users by id(s).
- Scopes []string
- scope query parameter. Specifiy a scope (one of all, none, withAny, withAll, withoutAny, withoutAll) and a set of tags.
- Usernames []string
- usernames query parameter. Filter users by username(s).
- id String
- The provider-assigned unique ID for this managed resource.
- items
List<Get
Sm Users Item> - Array of ResponseSmGetNetworkSmUsers
- network
Id String - networkId path parameter. Network ID
- emails List<String>
- emails query parameter. Filter users by email(s).
- ids List<String>
- ids query parameter. Filter users by id(s).
- scopes List<String>
- scope query parameter. Specifiy a scope (one of all, none, withAny, withAll, withoutAny, withoutAll) and a set of tags.
- usernames List<String>
- usernames query parameter. Filter users by username(s).
- id string
- The provider-assigned unique ID for this managed resource.
- items
Get
Sm Users Item[] - Array of ResponseSmGetNetworkSmUsers
- network
Id string - networkId path parameter. Network ID
- emails string[]
- emails query parameter. Filter users by email(s).
- ids string[]
- ids query parameter. Filter users by id(s).
- scopes string[]
- scope query parameter. Specifiy a scope (one of all, none, withAny, withAll, withoutAny, withoutAll) and a set of tags.
- usernames string[]
- usernames query parameter. Filter users by username(s).
- id str
- The provider-assigned unique ID for this managed resource.
- items
Sequence[Get
Sm Users Item] - Array of ResponseSmGetNetworkSmUsers
- network_
id str - networkId path parameter. Network ID
- emails Sequence[str]
- emails query parameter. Filter users by email(s).
- ids Sequence[str]
- ids query parameter. Filter users by id(s).
- scopes Sequence[str]
- scope query parameter. Specifiy a scope (one of all, none, withAny, withAll, withoutAny, withoutAll) and a set of tags.
- usernames Sequence[str]
- usernames query parameter. Filter users by username(s).
- id String
- The provider-assigned unique ID for this managed resource.
- items List<Property Map>
- Array of ResponseSmGetNetworkSmUsers
- network
Id String - networkId path parameter. Network ID
- emails List<String>
- emails query parameter. Filter users by email(s).
- ids List<String>
- ids query parameter. Filter users by id(s).
- scopes List<String>
- scope query parameter. Specifiy a scope (one of all, none, withAny, withAll, withoutAny, withoutAll) and a set of tags.
- usernames List<String>
- usernames query parameter. Filter users by username(s).
Supporting Types
GetSmUsersItem
- Ad
Groups List<string> - Active Directory Groups the user belongs to.
- Asm
Groups List<string> - Apple School Manager Groups the user belongs to.
- Azure
Ad List<string>Groups - Azure Active Directory Groups the user belongs to.
- Display
Name string - The user display name.
- Email string
- User email.
- Full
Name string - User full name.
- Has
Identity boolCertificate - A boolean indicating if the user has an associated identity certificate..
- Has
Password bool - A boolean denoting if the user has a password associated with the record.
- Id string
- The Meraki managed Id of the user record.
- Is
External bool - Whether the user was created using an external integration, or via the Meraki Dashboard.
- Saml
Groups List<string> - SAML Groups the user belongs to.
- string
- The set of tags the user is scoped to.
- User
Thumbnail string - The url where the users thumbnail is hosted.
- Username string
- The users username.
- Ad
Groups []string - Active Directory Groups the user belongs to.
- Asm
Groups []string - Apple School Manager Groups the user belongs to.
- Azure
Ad []stringGroups - Azure Active Directory Groups the user belongs to.
- Display
Name string - The user display name.
- Email string
- User email.
- Full
Name string - User full name.
- Has
Identity boolCertificate - A boolean indicating if the user has an associated identity certificate..
- Has
Password bool - A boolean denoting if the user has a password associated with the record.
- Id string
- The Meraki managed Id of the user record.
- Is
External bool - Whether the user was created using an external integration, or via the Meraki Dashboard.
- Saml
Groups []string - SAML Groups the user belongs to.
- string
- The set of tags the user is scoped to.
- User
Thumbnail string - The url where the users thumbnail is hosted.
- Username string
- The users username.
- ad
Groups List<String> - Active Directory Groups the user belongs to.
- asm
Groups List<String> - Apple School Manager Groups the user belongs to.
- azure
Ad List<String>Groups - Azure Active Directory Groups the user belongs to.
- display
Name String - The user display name.
- email String
- User email.
- full
Name String - User full name.
- has
Identity BooleanCertificate - A boolean indicating if the user has an associated identity certificate..
- has
Password Boolean - A boolean denoting if the user has a password associated with the record.
- id String
- The Meraki managed Id of the user record.
- is
External Boolean - Whether the user was created using an external integration, or via the Meraki Dashboard.
- saml
Groups List<String> - SAML Groups the user belongs to.
- String
- The set of tags the user is scoped to.
- user
Thumbnail String - The url where the users thumbnail is hosted.
- username String
- The users username.
- ad
Groups string[] - Active Directory Groups the user belongs to.
- asm
Groups string[] - Apple School Manager Groups the user belongs to.
- azure
Ad string[]Groups - Azure Active Directory Groups the user belongs to.
- display
Name string - The user display name.
- email string
- User email.
- full
Name string - User full name.
- has
Identity booleanCertificate - A boolean indicating if the user has an associated identity certificate..
- has
Password boolean - A boolean denoting if the user has a password associated with the record.
- id string
- The Meraki managed Id of the user record.
- is
External boolean - Whether the user was created using an external integration, or via the Meraki Dashboard.
- saml
Groups string[] - SAML Groups the user belongs to.
- string
- The set of tags the user is scoped to.
- user
Thumbnail string - The url where the users thumbnail is hosted.
- username string
- The users username.
- ad_
groups Sequence[str] - Active Directory Groups the user belongs to.
- asm_
groups Sequence[str] - Apple School Manager Groups the user belongs to.
- azure_
ad_ Sequence[str]groups - Azure Active Directory Groups the user belongs to.
- display_
name str - The user display name.
- email str
- User email.
- full_
name str - User full name.
- has_
identity_ boolcertificate - A boolean indicating if the user has an associated identity certificate..
- has_
password bool - A boolean denoting if the user has a password associated with the record.
- id str
- The Meraki managed Id of the user record.
- is_
external bool - Whether the user was created using an external integration, or via the Meraki Dashboard.
- saml_
groups Sequence[str] - SAML Groups the user belongs to.
- str
- The set of tags the user is scoped to.
- user_
thumbnail str - The url where the users thumbnail is hosted.
- username str
- The users username.
- ad
Groups List<String> - Active Directory Groups the user belongs to.
- asm
Groups List<String> - Apple School Manager Groups the user belongs to.
- azure
Ad List<String>Groups - Azure Active Directory Groups the user belongs to.
- display
Name String - The user display name.
- email String
- User email.
- full
Name String - User full name.
- has
Identity BooleanCertificate - A boolean indicating if the user has an associated identity certificate..
- has
Password Boolean - A boolean denoting if the user has a password associated with the record.
- id String
- The Meraki managed Id of the user record.
- is
External Boolean - Whether the user was created using an external integration, or via the Meraki Dashboard.
- saml
Groups List<String> - SAML Groups the user belongs to.
- String
- The set of tags the user is scoped to.
- user
Thumbnail String - The url where the users thumbnail is hosted.
- username String
- The users username.
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
